Elput input functions

- Main Page
- Related Pages
- Modules
- Data Structures
- Files
- Examples

Functions
Elput input functions

Functions that deal with setup of inputs. More...

## Functions
EAPI Eina_Bool | elput_input_init (Elput_Manager *manager)
| Initialize input.
EAPI void | elput_input_shutdown (Elput_Manager *manager)
| Shutdown input.
EAPI void | elput_input_pointer_xy_get (Elput_Manager *manager, const char *seat, int *x, int *y)
| Get the pointer position on a given seat.
EAPI void | elput_input_pointer_xy_set (Elput_Manager *manager, const char *seat, int x, int y)
| Set the pointer position on a given seat.
EAPI Eina_Bool | elput_input_pointer_left_handed_set (Elput_Manager *manager, const char *seat, Eina_Bool left)
| Set the pointer left-handed mode.
EAPI void | elput_input_pointer_max_set (Elput_Manager *manager, int maxw, int maxh)
| Set the maximum position of any existing mouse pointers.
EAPI Eina_Bool | elput_input_pointer_rotation_set (Elput_Manager *manager, int rotation)
| Set pointer value rotation.
EAPI void | elput_input_touch_tap_to_click_enabled_set (Elput_Manager *manager, const char *seat, Eina_Bool enabled)
| Set tap-to-click status.
EAPI void | elput_input_devices_calibrate (Elput_Manager *manager, int w, int h)
| Calibrate input devices for given screen size.
EAPI Eina_Bool | elput_input_key_remap_enable (Elput_Manager *manager, Eina_Bool enable)
| Enable key remap functionality.
EAPI Eina_Bool | elput_input_key_remap_set (Elput_Manager *manager, int *from_keys, int *to_keys, int num)
| Set a given set of keys as remapped keys.
EAPI void | elput_input_keyboard_info_set (Elput_Manager *manager, void *context, void *keymap, int group)
| Set info to be used for keyboards.
EAPI void | elput_input_keyboard_group_set (Elput_Manager *manager, int group)
| Set group layout to be used for keyboards.
EAPI void | elput_input_pointer_accel_profile_set (Elput_Manager *manager, const char *seat, uint32_t profile)
| Set the pointer acceleration profile.
EAPI void | elput_input_pointer_accel_speed_set (Elput_Manager *manager, const char *seat, double speed)
| Set the pointer acceleration speed.

## Detailed Description

Functions that deal with setup of inputs.

## Function Documentation

## ◆ elput_input_init()

EAPI Eina_Bool elput_input_init | ( | Elput_Manager * | manager | ) |

Initialize input.

Parameters

  manager |

Returns
  EINA_TRUE on success, EINA_FALSE on failure

Since
  1.18

References ecore_thread_feedback_run(), EINA_FALSE, EINA_SAFETY_ON_NULL_RETURN_VAL, EINA_SAFETY_ON_TRUE_RETURN_VAL, and EINA_TRUE.

Referenced by ecore_drm2_device_open().

## ◆ elput_input_shutdown()

EAPI void elput_input_shutdown | ( | Elput_Manager * | manager | ) |

Shutdown input.

Parameters

  manager |

Since
  1.18

References ecore_main_fd_handler_del(), ecore_thread_cancel(), EINA_LIST_FOREACH_SAFE, and EINA_SAFETY_ON_NULL_RETURN.

Referenced by ecore_drm2_device_close().

## ◆ elput_input_pointer_xy_get()

EAPI void elput_input_pointer_xy_get | ( | Elput_Manager * | manager,
|  | const char * | seat,
|  | int * | x,
|  | int * | y
| ) |  |

Get the pointer position on a given seat.

Parameters

  manager |
  seat |
  x |
  y |

Since
  1.18

References EINA_LIST_FOREACH, EINA_SAFETY_ON_NULL_RETURN, and eina_streq().

Referenced by ecore_drm2_device_pointer_xy_get().

## ◆ elput_input_pointer_xy_set()

EAPI void elput_input_pointer_xy_set | ( | Elput_Manager * | manager,
|  | const char * | seat,
|  | int | x,
|  | int | y
| ) |  |

Set the pointer position on a given seat.

Parameters

  manager |
  seat |
  x |
  y |

Since
  1.18

References ecore_loop_time_get(), EINA_LIST_FOREACH, and EINA_SAFETY_ON_NULL_RETURN.

Referenced by ecore_drm2_device_pointer_warp().

## ◆ elput_input_pointer_left_handed_set()

EAPI Eina_Bool elput_input_pointer_left_handed_set | ( | Elput_Manager * | manager,
|  | const char * | seat,
|  | Eina_Bool | left
| ) |  |

Set the pointer left-handed mode.

Parameters

  manager |
  seat |
  left |

Returns
  EINA_TRUE on success, EINA_FALSE otherwise

Since
  1.18

References EINA_FALSE, EINA_LIST_FOREACH, EINA_SAFETY_ON_NULL_RETURN_VAL, and EINA_TRUE.

Referenced by ecore_drm2_device_pointer_left_handed_set().

## ◆ elput_input_pointer_max_set()

EAPI void elput_input_pointer_max_set | ( | Elput_Manager * | manager,
|  | int | maxw,
|  | int | maxh
| ) |  |

Set the maximum position of any existing mouse pointers.

Parameters

  manager |
  maxw |
  maxh |

Since
  1.18

References EINA_SAFETY_ON_NULL_RETURN.

Referenced by ecore_drm2_device_pointer_max_set().

## ◆ elput_input_pointer_rotation_set()

EAPI Eina_Bool elput_input_pointer_rotation_set | ( | Elput_Manager * | manager,
|  | int | rotation
| ) |  |

Set pointer value rotation.

Parameters

  manager |
  rotation |

Returns
  EINA_TRUE on success, EINA_FALSE otherwise

Since
  1.20

References EINA_FALSE, EINA_LIST_FOREACH, EINA_SAFETY_ON_NULL_RETURN_VAL, and EINA_TRUE.

Referenced by ecore_drm2_device_pointer_rotation_set().

## ◆ elput_input_touch_tap_to_click_enabled_set()

EAPI void elput_input_touch_tap_to_click_enabled_set | ( | Elput_Manager * | manager,
|  | const char * | seat,
|  | Eina_Bool | enabled
| ) |  |

Set tap-to-click status.

Parameters

  manager |
  seat |
  enabled |

Returns
  EINA_TRUE on success, EINA_FALSE otherwise

Since
  1.22

References EINA_LIST_FOREACH, and EINA_SAFETY_ON_NULL_RETURN.

Referenced by ecore_drm2_device_touch_tap_to_click_enabled_set().

## ◆ elput_input_devices_calibrate()

EAPI void elput_input_devices_calibrate | ( | Elput_Manager * | manager,
|  | int | w,
|  | int | h
| ) |  |

Calibrate input devices for given screen size.

Parameters

  manager |
  w |
  h |

Since
  1.18

References EINA_LIST_FOREACH, and EINA_SAFETY_ON_NULL_RETURN.

Referenced by ecore_drm2_device_calibrate().

## ◆ elput_input_key_remap_enable()

EAPI Eina_Bool elput_input_key_remap_enable | ( | Elput_Manager * | manager,
|  | Eina_Bool | enable
| ) |  |

Enable key remap functionality.

Parameters

  manager |
  enable |

Returns
  EINA_TRUE on success, EINA_FALSE otherwise

Since
  1.18

References EINA_FALSE, eina_hash_free(), EINA_LIST_FOREACH, EINA_SAFETY_ON_NULL_RETURN_VAL, and EINA_TRUE.

## ◆ elput_input_key_remap_set()

EAPI Eina_Bool elput_input_key_remap_set | ( | Elput_Manager * | manager,
|  | int * | from_keys,
|  | int * | to_keys,
|  | int | num
| ) |  |

Set a given set of keys as remapped keys.

Parameters

  manager |
  from_keys |
  to_keys |
  num |

Returns
  EINA_TRUE on success, EINA_FALSE otherwise

Since
  1.18

References EINA_FALSE, eina_hash_add(), eina_hash_int32_new(), EINA_LIST_FOREACH, EINA_SAFETY_ON_NULL_RETURN_VAL, EINA_SAFETY_ON_TRUE_RETURN_VAL, and EINA_TRUE.

## ◆ elput_input_keyboard_info_set()

EAPI void elput_input_keyboard_info_set | ( | Elput_Manager * | manager,
|  | void * | context,
|  | void * | keymap,
|  | int | group
| ) |  |

Set info to be used for keyboards.

Parameters

  manager |
  context |
  keymap |
  group |

Since
  1.20

References EINA_LIST_FOREACH, EINA_SAFETY_ON_FALSE_RETURN, and EINA_SAFETY_ON_NULL_RETURN.

Referenced by ecore_drm2_device_keyboard_info_set().

## ◆ elput_input_keyboard_group_set()

EAPI void elput_input_keyboard_group_set | ( | Elput_Manager * | manager,
|  | int | group
| ) |  |

Set group layout to be used for keyboards.

Parameters

  manager |
  group |

Since
  1.20

References EINA_LIST_FOREACH, and EINA_SAFETY_ON_NULL_RETURN.

Referenced by ecore_drm2_device_keyboard_group_set().

## ◆ elput_input_pointer_accel_profile_set()

EAPI void elput_input_pointer_accel_profile_set | ( | Elput_Manager * | manager,
|  | const char * | seat,
|  | uint32_t | profile
| ) |  |

Set the pointer acceleration profile.

Parameters

  manager |
  seat |
  profile |

Since
  1.19

References EINA_LIST_FOREACH, and EINA_SAFETY_ON_NULL_RETURN.

Referenced by ecore_drm2_device_pointer_accel_profile_set().

## ◆ elput_input_pointer_accel_speed_set()

EAPI void elput_input_pointer_accel_speed_set | ( | Elput_Manager * | manager,
|  | const char * | seat,
|  | double | speed
| ) |  |

Set the pointer acceleration speed.

Parameters

  manager |
  seat |
  speed |

Since
  1.21

References EINA_LIST_FOREACH, and EINA_SAFETY_ON_NULL_RETURN.

Referenced by ecore_drm2_device_pointer_accel_speed_set().